<?php

require_once('phpunit.php');
require_once('prefecture.php');

class PrefectureTest extends TestCase {

    var $prefecture = null;

    function PrefectureTest($name) {
        $this->TestCase($name);
    }

    function setUp() {
        $this->prefecture = new Prefecture;
        $this->prefecture->connect();
    }

    function tearDown() {
        $this->prefecture->disconnect();
    }

    function testCountInfos() {
        $infos = $this->prefecture->getInfoAll();
        $this->assertEquals(47, count($infos));
    }

    function testGetInfoAll() {
        $infos = $this->prefecture->getInfoAll();
        $info = $infos[13];
        $this->assert(!empty($info));
        $this->assertEquals('', $info['ja']);
        $this->assertEquals('Tokyo', $info['en']);
    }

    function testInfoTokyo() {
        $info = $this->prefecture->getInfo(13);
        $this->assertEquals('', $info['ja']);
        $this->assertEquals('Tokyo', $info['en']);
    }

    function testInfo0() {
        $info = $this->prefecture->getInfo(0);
        $this->assert(!$info);
    }

    function testInfo48() {
        $info = $this->prefecture->getInfo(48);
        $this->assert(!$info);
    }
}

$suite = new TestSuite('PrefectureTest');

$runner = new TestRunner;
$runner->run($suite);

?>